# Uses of Interface
org.springframework.jdbc.core.ParameterizedPreparedStatementSetter

Packages that use ParameterizedPreparedStatementSetter
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.

## Uses of ParameterizedPreparedStatementSetter in org.springframework.jdbc.core

Methods in org.springframework.jdbc.core with parameters of type ParameterizedPreparedStatementSetter
Modifier and Type
Method
Description
`<T> int[][]`
JdbcOperations.`batchUpdate(String sql, Collection<T> batchArgs, int batchSize, ParameterizedPreparedStatementSetter<T> pss)`
Execute multiple batches using the supplied SQL statement with the collect of supplied arguments.
`<T> int[][]`
JdbcTemplate.`batchUpdate(String sql, Collection<T> batchArgs, int batchSize, ParameterizedPreparedStatementSetter<T> pss)`